LPCOpen Platform for LPC18XX/43XX microcontrollers: C:/w/lpcopen_docs/software/lpc_core/lpc_board/board_common/uda1380.c File Reference

| LPCOpen Platform for LPC18XX/43XX microcontrollers 18XX43XX LPCOpen Platform for the NXP LPC18XX/43XX family of Microcontrollers

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Functions | Variables
uda1380.c File Reference
`#include "board.h"`

Go to the source code of this file.

## Functions
static int | Audio_Codec_SetDefaultValues (const uint8_t *values, int sz)
void | UDA1380_REG_Write (uint8_t reg, uint16_t val)
| Write a 16-bit value to UDA Register. More...
uint16_t | UDA1380_REG_Read (uint8_t reg)
| Read a 16-bit value from UDA1380 codec register. More...
int | UDA1380_REG_WriteVerify (uint8_t reg, uint16_t val)
| Writes a value to a UDA register, read back and verify the value. More...
int | UDA1380_REG_VerifyMult (uint8_t reg, const uint8_t *value, uint8_t *buff, int len)
| Verify values in multiple UDA1380 registers. More...
int | UDA1380_Init (int input)
| Initialize UDA1380 to its default state. More...
int | UDA1380_REG_WriteMult (const uint8_t *buff, int len)
| Write multiple value to UDA1380 registers. More...

## Variables
static const uint8_t | UDA_sys_regs_dat []
static const uint8_t | UDA_interfil_regs_dat []
static const uint8_t | UDA_decimator_regs_dat []

## Function Documentation

static int Audio_Codec_SetDefaultValues | ( | const uint8_t * | values,
|  | int | sz
| ) |  |
| static

Definition at line 75 of file uda1380.c.

## Variable Documentation

const uint8_t UDA_decimator_regs_dat[]
| static

Initial value:
= {
UDA_DEC_VOL_CTRL,
UDA1380_U8(UDA1380_REG_DECVOL_DEFAULT_VALUE),
UDA1380_U8(UDA1380_REG_PGA_DEFAULT_VALUE),
UDA1380_U8(UDA1380_REG_ADC_DEFAULT_VALUE),
}

Definition at line 59 of file uda1380.c.

const uint8_t UDA_interfil_regs_dat[]
| static

Initial value:
= {
UDA_MASTER_VOL_CTRL,
UDA1380_U8(UDA1380_REG_MSTRVOL_DEFAULT_VALUE),
UDA1380_U8(UDA1380_REG_MIXVOL_DEFAULT_VALUE),
UDA1380_U8(UDA1380_REG_MODEBBT_DEFAULT_VALUE),
UDA1380_U8(UDA1380_REG_MSTRMUTE_DEFAULT_VALUE),
}

Definition at line 49 of file uda1380.c.

const uint8_t UDA_sys_regs_dat[]
| static

Initial value:
= {
UDA_EVALM_CLK,
UDA1380_U8(UDA1380_REG_EVALCLK_DEFAULT_VALUE),
UDA1380_U8(UDA1380_REG_I2S_DEFAULT_VALUE),
UDA1380_U8(UDA1380_REG_PWRCTRL_DEFAULT_VALUE),
UDA1380_U8(UDA1380_REG_ANAMIX_DEFAULT_VALUE),
}

Definition at line 39 of file uda1380.c.